testing::TestParamInfo< ParamType > Struct Template Reference

`#include <gtest.h>`

## Public Member Functions

| TestParamInfo (const ParamType &a_param, size_t an_index)

## Public Attributes

ParamType | param
size_t | index

## Detailed Description

### template<class ParamType>
struct testing::TestParamInfo< ParamType >

Definition at line 10594 of file gtest.h.

## Constructor & Destructor Documentation

## TestParamInfo()

template<class ParamType>

testing::TestParamInfo< ParamType >::TestParamInfo | ( | const ParamType & | a_param,
|  | size_t | an_index
| ) |  |

inline

Definition at line 10595 of file gtest.h.

## Member Data Documentation

## index

template<class ParamType>

size_t testing::TestParamInfo< ParamType >::index

Definition at line 10599 of file gtest.h.

## param

template<class ParamType>

ParamType testing::TestParamInfo< ParamType >::param

Definition at line 10598 of file gtest.h.

The documentation for this struct was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h